org.eclipse.jetty.util.component

## Class Container.Relationship

- java.lang.Object
- - org.eclipse.jetty.util.component.Container.Relationship

- Enclosing class:
    Container

      public static class Container.Relationship
      extends Object

  A Container event.
  See Also:
    `Container.Listener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Object` | `getChild()`
    `Container` | `getContainer()`
    `Object` | `getParent()`
    `String` | `getRelationship()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getContainer

          public Container getContainer()

    - #### getChild

          public Object getChild()

    - #### getParent

          public Object getParent()

    - #### getRelationship

          public String getRelationship()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.